UniqueTag (rhino 1.7.14 API)

org.mozilla.javascript

## Class UniqueTag

- java.lang.Object
- - org.mozilla.javascript.UniqueTag

- All Implemented Interfaces:
    java.io.Serializable

      public final class UniqueTag
      extends java.lang.Object
      implements java.io.Serializable

  Class instances represent serializable tags to mark special Object values.

  Compatibility note: under jdk 1.1 use org.mozilla.javascript.serialize.ScriptableInputStream to read serialized instances of UniqueTag as under this JDK version the default ObjectInputStream would not restore them correctly as it lacks support for readResolve method

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UniqueTag` | `DOUBLE_MARK` Tag to indicate that a object represents "double" with the real value stored somewhere else.
    `static UniqueTag` | `NOT_FOUND` Tag to mark non-existing values.
    `static UniqueTag` | `NULL_VALUE` Tag to distinguish between uninitialized and null values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `readResolve()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NOT_FOUND

          public static final UniqueTag NOT_FOUND

      Tag to mark non-existing values.

    - #### NULL_VALUE

          public static final UniqueTag NULL_VALUE

      Tag to distinguish between uninitialized and null values.

    - #### DOUBLE_MARK

          public static final UniqueTag DOUBLE_MARK

      Tag to indicate that a object represents "double" with the real value stored somewhere else.

  - ### Method Detail

    - #### readResolve

          public java.lang.Object readResolve()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`